# HashGroupifyEntry (ARX Developer Documentation)

org.deidentifier.arx.framework.check.groupify

## Class HashGroupifyEntry

- java.lang.Object
- - org.deidentifier.arx.framework.check.groupify.HashGroupifyEntry

-     public class HashGroupifyEntry
      extends java.lang.Object

  Implements an equivalence class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` The number of elements in this class.
    `Distribution[]` | `distributions` Frequency set for other attributes *.
    `int` | `hashcode` The hashcode of this class.
    `boolean` | `isNotOutlier` Is this class not an outlier?.
    `int[]` | `key` The key of this class.
    `HashGroupifyEntry` | `next` The next element in this bucket.
    `HashGroupifyEntry` | `nextOrdered` The overall next element in original order.
    `int` | `pcount` The number of elements in this class.
    `int` | `representative` The index of the representative row.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashGroupifyEntry(int[] key, int hash)` Creates a new entry.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public int count

      The number of elements in this class. Excluding elements from the public table.

    - #### pcount

          public int pcount

      The number of elements in this class. Including elements from the public table

    - #### hashcode

          public final int hashcode

      The hashcode of this class.

    - #### key

          public final int[] key

      The key of this class.

    - #### next

          public HashGroupifyEntry next

      The next element in this bucket.

    - #### nextOrdered

          public HashGroupifyEntry nextOrdered

      The overall next element in original order.

    - #### representative

          public int representative

      The index of the representative row.

    - #### isNotOutlier

          public boolean isNotOutlier

      Is this class not an outlier?.

    - #### distributions

          public Distribution[] distributions

      Frequency set for other attributes *.

  - ### Constructor Detail

    - #### HashGroupifyEntry

          public HashGroupifyEntry(int[] key,
                           int hash)

      Creates a new entry.
      Parameters:
        `key` - the key
        `hash` - the hash